package cn.edu.whu.boot.xml.dto;

import java.util.List;
import java.util.Map;

/**
 * 封装 XML 文件 <field> 标签的内容，前端需要字符串样式参考 CommonConstant 注释
 */
public class FrontEndField {

    private String name = "";
    private String type = "";
    private List<FrontEndSelect> selector;
    private List<Map<String,String>> group;
    private String select = "";
    private String mode = "";
    private String key = "";
    private String parentID = "";
    private String dbType = "";
    private String resultType = "";
    private boolean geometry = false;
    private boolean required = false;
    private boolean autoIncrement = false;
    private boolean identity = false;
    private boolean uploadName = false;
    private boolean zipField = false;
    private String autoDate = "";
    private String show = "";
    private String enable = "";
    private String script = "";
    private String associate = "";
    private String collection = "";
    private String index;
    private String tooltips;
    private String check;
    public String getCheck() {
        return check;
    }
    public  void setCheck(String check){ this.check= check ;}
    public String getTooltips() {
        return tooltips;
    }

    public void setTooltips(String tooltips) {
        this.tooltips = tooltips;
    }
    public String getName()
    {
        return name;
    }

    public void setName(String name)
    {
        this.name = name;
    }

    public String getType()
    {
        return type;
    }

    public void setType(String type)
    {
        this.type = type;
    }

    public String getSelect()
    {
        return select;
    }

    public void setSelect(String select)
    {
        this.select = select;
    }

    public String getMode()
    {
        return mode;
    }

    public void setMode(String mode)
    {
        this.mode = mode;
    }

    public String getKey()
    {
        return key;
    }

    public void setKey(String key)
    {
        this.key = key;
    }

    public String getParentID()
    {
        return parentID;
    }

    public void setParentID(String parentID)
    {
        this.parentID = parentID;
    }

    public String getDbType()
    {
        return dbType;
    }

    public void setDbType(String dbType)
    {
        this.dbType = dbType;
    }

    public String getResultType()
    {
        return resultType;
    }

    public void setResultType(String resultType)
    {
        this.resultType = resultType;
    }

    public boolean isGeometry()
    {
        return geometry;
    }

    public void setGeometry(boolean geometry)
    {
        this.geometry = geometry;
    }

    public boolean isRequired()
    {
        return required;
    }

    public void setRequired(boolean required)
    {
        this.required = required;
    }

    public boolean isAutoIncrement()
    {
        return autoIncrement;
    }

    public void setAutoIncrement(boolean autoIncrement)
    {
        this.autoIncrement = autoIncrement;
    }

    public boolean isIdentity()
    {
        return identity;
    }

    public void setIdentity(boolean identity)
    {
        this.identity = identity;
    }

    public boolean isUploadName()
    {
        return uploadName;
    }

    public void setUploadName(boolean uploadName)
    {
        this.uploadName = uploadName;
    }

    public boolean isZipField()
    {
        return zipField;
    }

    public void setZipField(boolean zipField)
    {
        this.zipField = zipField;
    }

    public String getAutoDate()
    {
        return autoDate;
    }

    public void setAutoDate(String autoDate)
    {
        this.autoDate = autoDate;
    }

    public String getShow()
    {
        return show;
    }

    public void setShow(String show)
    {
        this.show = show;
    }

    public String getEnable()
    {
        return enable;
    }

    public void setEnable(String enable)
    {
        this.enable = enable;
    }

    public String getScript()
    {
        return script;
    }

    public void setScript(String script)
    {
        this.script = script;
    }

    public String getAssociate()
    {
        return associate;
    }

    public void setAssociate(String associate)
    {
        this.associate = associate;
    }

    public String getCollection()
    {
        return collection;
    }

    public void setCollection(String collection)
    {
        this.collection = collection;
    }

    public String getIndex()
    {
        return index;
    }

    public void setIndex(String index)
    {
        this.index = index;
    }

    public List<FrontEndSelect> getSelector()
    {
        return selector;
    }

    public void setSelector(List<FrontEndSelect> selector)
    {
        this.selector = selector;
    }

    public List<Map<String, String>> getGroup()
    {
        return group;
    }

    public void setGroup(List<Map<String, String>> group)
    {
        this.group = group;
    }
}
